
security:
    encoders:
        AppVentus\JobBoardBundle\Entity\User: 
            algorithm: md5 


    providers:
        fos_userbundle:
            id: fos_user.user_manager
     

    firewalls:
        dev:
            pattern:  ^/(_(profiler|wdt)|css|images|js)/
            security: false
        main:
            access_denied_url: /
            pattern:      .*
            logout:       true
            anonymous:    true
            form_login:
                provider:       fos_userbundle
                login_path:     /login
                use_forward:    false
                check_path:     /login_check
                failure_path:   null
                always_use_default_target_path: true
                default_target_path : /
                
    access_control:
        #- { path: ^/login, roles: IS_AUTHENTICATED_ANONYMOUSLY, requires_channel: https }
        #- { path: ^/_internal, roles: IS_AUTHENTICATED_ANONYMOUSLY, ip: 127.0.0.1 }
        
        - { path: ^/login$, role: IS_AUTHENTICATED_ANONYMOUSLY }
        - { path: ^/register, role: IS_AUTHENTICATED_ANONYMOUSLY }
        - { path: ^/inscription, role: IS_AUTHENTICATED_ANONYMOUSLY }
        - { path: ^/resetting, role: IS_AUTHENTICATED_ANONYMOUSLY }
        - { path: ^/admin/, role: ROLE_ADMIN }
        - { path: ^/manager, role: [ROLE_COMPANY, ROLE_ADMIN, ROLE_GODFATHER] }
        - { path: ^/manager/, role: [ROLE_COMPANY, ROLE_ADMIN, ROLE_GODFATHER] }
        
    role_hierarchy:
        ROLE_ADMIN:       ROLE_USER, ROLE_GODFATHER, ROLE_COMPANY
        ROLE_SUPER_ADMIN: ROLE_ADMIN
